/**
 * Copyright (c) 2022 International Business Group, Ant Group. All rights reserved.
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), the rights to use, copy, modify, merge, and/or distribute the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * 1. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE; and
 * 2. If applicable, the use of the Software is also subject to the terms and conditions of any non-disclosure agreement signed by you and the relevant Ant Group entity.
 */
declare const getType: (target: any) => string;
declare class EventCenter {
    private events;
    private eventsKey;
    constructor();
    on(name: string, func: any, key?: string): void;
    off(name: string, func: any, key?: string): void;
    emit(name: string, ...rest: any): void;
    once(name: string, func: any, key?: string): void;
    isExist(name: string): boolean;
}
declare const getViewPort: (key: string) => any;
declare const getOrigin: () => string;
declare const serialize: (obj: Record<string, string>) => string;
declare const isJsonString: (str: string) => boolean;
declare const isDom: (obj: any) => boolean;
declare const device: {
    iOS: boolean;
    Android: boolean;
    macOS: boolean;
    WindowsNT: boolean;
    isMobile: boolean;
    isOpenHarmonyMobile: boolean;
};
declare const safeJson: (data: any, obj: any) => any;
declare const isPC: () => boolean;
declare const queryParse: (url?: string) => Record<string, any>;
declare const getDesignFontSize: () => number;
declare const amsSetSize: (event?: any, dom?: any) => void;
declare const addSetFontSizeEvent: () => void;
/**
 * @description get or set STORAGE
 */
declare const getOrSetStorageId: (key: string, value?: string) => string;
declare const checkTimeElapsed: () => boolean;
declare const isFunction: (func: any) => boolean;
declare function parseBase64ToString(base64: string): string;
declare function loadSDKScript({ src, attrOptions, timeOut, loadCallback }: {
    src: any;
    attrOptions?: {};
    timeOut?: number;
    loadCallback?: any;
}, logger: any): Promise<unknown>;
declare const isEmpty: (value: any) => boolean;
/**
 * 判断一个值是否为真
 * @param value 要判断的值
 * @returns 如果值为true或者字符串"true"（不区分大小写），则返回true，否则返回false
 */
declare const isTrue: (value: unknown) => boolean;
export declare const omit: <T extends {
    [x: string]: any;
    hasOwnProperty: (arg0: any) => any;
}>(obj: T, keys: Array<keyof T>) => T;
export { getType, EventCenter, getViewPort, getOrigin, serialize, isJsonString, isDom, isFunction, device, safeJson, isPC, queryParse, getDesignFontSize, amsSetSize, addSetFontSizeEvent, getOrSetStorageId, checkTimeElapsed, parseBase64ToString, loadSDKScript, isEmpty, isTrue, };
